\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_squared_radius()
Global Kernel Functions

##

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_squared_radius (const CGAL::Point_3< Kernel > &p, const typename Kernel::FT &sr)
| compares the squared radius of the sphere of radius 0 centered at `p` to `sr`. More...
template<typename Kernel >
Comparison_result | CGAL::compare_squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const typename Kernel::FT &sr)
| compares the squared radius of the sphere defined by the points `p` and `q` to `sr`.
template<typename Kernel >
Comparison_result | CGAL::compare_squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const typename Kernel::FT &sr)
| compares the squared radius of the sphere defined by the points `p`, `q`, and `r` to `sr`.
template<typename Kernel >
Comparison_result | CGAL::compare_squared_radius (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s, const typename Kernel::FT &sr)
| compares the squared radius of the sphere defined by the points `p`, `q`, `r`, and `r` to `sr`.

## Function Documentation

template<typename Kernel >

Comparison_result CGAL::compare_squared_radius | ( | const CGAL::Point_3< Kernel > & | p,
|  | const typename Kernel::FT & | sr
| ) |  |

compares the squared radius of the sphere of radius 0 centered at `p` to `sr`.

This returns the opposite sign of `sr`.

`#include <CGAL/Kernel/global_functions.h>`